require "player"
require "menu"
require "enemy"
require "lighting"

function love.load()
	player.load()
	--enemy.load()
	squareload()
	
	medium = love.graphics.newFont(45)
	love.graphics.setBackgroundColor(50,50,50)
	gamestate = "menu"
	
	--Buttons
	button.spawn(100,200,"Start","start")
	button.spawn(100,400,"Quit","quit")
	
end

function love.update(dt)
	--get mouse coordinates
	mousex = love.mouse.getX()
	mousey = love.mouse.getY()
	
	--check and run correct gamestate
	if gamestate == "playing" then
		UPDATE_PLAYER(dt)
	--	UPDATE_ENEMY(dt)
		UPDATE_LIGHTING()
	end
	if gamestate == "menu" then
		button.check()
	end
end

function love.draw()
	
	--check and run correct gamestate
	if gamestate == "playing" then
	--	DRAW_ENEMY()
		DRAW_LIGHTING()
		DRAW_PLAYER()
	end
	if gamestate == "menu" then
		button.draw()
	end
end

function love.mousepressed(x,y)
	if gamestate == "menu" then
		button.click(x,y)
	end
end