

button = {}

--spawn buttons
function button.spawn(x,y,text,id)
	table.insert(button, {x = x, y = y, text = text, id = id, mouseover = false})
end

--draw buttons
function button.draw()
	for i,v in ipairs(button) do
		if v.mouseover == false then
			love.graphics.setColor(150,150,150)
		end
		if v.mouseover == true then
			love.graphics.setColor(0,100,255)
		end
		love.graphics.setFont(medium)
		love.graphics.print(v.text, v.x, v.y)
	end
end

--button click
function button.click(x,y)
	for i,v in ipairs(button) do
		if x > v.x and 
		x < v.x + medium:getWidth(v.text) and 
		y > v.y and 
		y < v.y + medium:getHeight(v.text) then
			if v.id == "quit" then
				love.event.push("quit")
			end
			if v.id == "start" then
				gamestate = "playing"
			end
		end
	end
end

--mouseover
function button.check()
	for i,v in ipairs(button) do
		if mousex > v.x and 
		mousex < v.x + medium:getWidth(v.text) and 
		mousey > v.y and 
		mousey < v.y + medium:getHeight(v.text) then
			v.mouseover = true
		else
			v.mouseover = false
		end
	end
end